Dodge Challenger Forum banner

1 - 9 of 9 Posts

·
Registered
Joined
·
74 Posts
Discussion Starter #1
Maybe you guys can help me out? I just got the trinity tuner and installed it to my computer, and reading some searches I have seen to make sure you always have the most up to date version. In this case the Diablo site shows 2.2.2.8 mine came with the 2.2.2.6 and I got it to update to the 2.7 using the download 2.8 version but won't update to the lastest. What am I doing wrong? Can I install that to my car? Or should I just wait?
 

·
Registered
Joined
·
3,504 Posts
did you down load the ds downloader?
 

·
Registered
Joined
·
74 Posts
Discussion Starter #3
Yes its downloaded, upper left hand corner is where I'm getting the 2.7 version but 2.8 is what I got from the Diablo website. I've tried to install about 10 times with no luck.
 

·
Registered
Joined
·
312 Posts
The calibrator in DSDownloader should update it.

Or you can go to diablo sport's website, enter in your serial in the downloads section, hit enter and download the update manually. Then run DSDownloader again and manually update it that way.
 

·
Registered
Joined
·
74 Posts
Discussion Starter #6
Dsdl is installed, but watching the " how to update" video it says that version is on the upper corner. Well mine started with 2.6 when Received, I downloaded the 2.8 which says it's the most current on the website. It takes me through all the motions and installs new update but when it finishes the version on went to 2.7 not the 2.8. I've tried several times with no luck. Drivers are updated to the 2.0 as well. Version 2.8 is just not wanting to update.
 

·
Registered
Joined
·
3,504 Posts
i don't think 2.8 is working right.. mine did the same thing.. i have 2.7 works fine.. just run with it.
 

·
Registered
Joined
·
1,067 Posts
Dsdl is installed, but watching the " how to update" video it says that version is on the upper corner. Well mine started with 2.6 when Received, I downloaded the 2.8 which says it's the most current on the website. It takes me through all the motions and installs new update but when it finishes the version on went to 2.7 not the 2.8. I've tried several times with no luck. Drivers are updated to the 2.0 as well. Version 2.8 is just not wanting to update.
dsdl version is irrelevant, is the tool on 1r11 now?
 
1 - 9 of 9 Posts
Top